using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.IO;

namespace NicoComment {
    static class Program {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main() {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault( false );
#if !DEBUG
            //DEBUGのときはIDEでエラーをハンドルしたいので。
            try {
#endif
                Application.Run( new Form1() );
#if !DEBUG
            } catch ( Exception e ) {
                using ( StreamWriter sw = new StreamWriter( "error.log", true ) ) {
                    sw.WriteLine( e.Message );
                    sw.WriteLine( e.StackTrace );
                }
            }
#endif
        }
    }
}